@import "../global/var";
@import "../global/var-pages";

// Old browsers
.lt-ie9-bg {
    z-index: 11111;
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: #333;
    color: #999;
    padding: 100px 20px;
    text-align: center;
    font-size: 26px;

    a {
        color: $gray5f5;
        border-bottom: 2px solid $white;
        &:hover {
            text-decoration: none;
        }
    }
}

.non-display {
    display: none;
}

.page {
    padding: $page-padding-top-with-breadcrumbs $page-padding-right-left $page-padding-bottom;
    margin-left: auto;
    margin-right: auto;

    > .ui-section:last-child {
        margin-bottom: 0;
    }

    &._narrow-container {
        max-width: $narrow-section-width + ($page-padding-right-left * 2);
    }

    &._normal-container {
        max-width: $normal-section-width + ($page-padding-right-left * 2);
    }

    &._wide-container {
        max-width: $wide-section-width + ($page-padding-right-left * 2);
    }

    @media only screen and (max-width: $narrow-section-width + ($page-padding-right-left * 2)) {
        &._narrow-container {
            max-width: 100%;
        }
    }

    @media only screen and (max-width: $normal-section-width + ($page-padding-right-left * 2)) {
        &._normal-container {
            max-width: 100%;
        }
    }

    @media only screen and (max-width: $wide-section-width + ($page-padding-right-left * 2)) {
        &._wide-container {
            max-width: 100%;
        }
    }

    @media only screen and (max-width: $breakpoint-mobile - 1) {
        padding-left: $page-padding-right-left-mobile;
        padding-right: $page-padding-right-left-mobile;
    }
}

.page-form-ele {
    h3 {
        margin: 0;
    }
}

.p-users {
    .fixed-page-header-container_options {
        @media (max-width: $md-screen-phone) {
            display: none;
        }
    }
}

.p-users-groups {
    .page md-card {
        min-height: calc(100vh - #{$page-padding-top-with-breadcrumbs} - #{$page-padding-bottom} - #{$title-height} - #{$breadcrumbs-height});
        margin-bottom: 0;
    }
    .users-groups {
        &__item {
            padding: 20px 25px 30px;
            position: relative;

            &._empty {
                text-align: center;
            }

            @media screen and (max-width: $md-screen-phone) {
                border-bottom: 2px solid $main_container_bg;

                &:last-child {
                    border-bottom: 0;
                }
            }

            &-header {
                margin-bottom: 16px;
            }

            &-chips {
                md-chips-wrap {
                    .md-chip-input-container {
                        min-width: 300px;

                        @media screen and (max-width: $md-screen-phone) {
                            min-width: 0;
                            width: 100%;
                            margin-top: 30px;
                        }
                    }
                }
            }

            .md-button {
                position: absolute;
                top: 10px;
                right: 10px;
                margin: 0;
            }
        }
    }
}

.user-view-page {
    &__search {
        &-header {
            max-height: 80px;
            background: $white;
            position: sticky;
            top: $header_height;
            z-index: 5;
            padding: 20px 16px;
            border-bottom: 2px solid $main_container_bg;
        }
        &-input {
            position: relative;
            .form-control {
                padding: 0 36px;
                border-radius: 4px;
            }
            .material-icons {
                position: absolute;
                top: 50%;
                transform: translateY(-50%);
                color: #999;
                &.search-icon {
                    pointer-events: none;
                    left: 12px;
                }
                &.close-icon {
                    right: 12px;
                }
            }
        }
    }

    @media (min-width: $md-screen-phone + 1) {
        &__search {
            &-header {
                display: none;
            }
        }
    }

    .mobile-only {
        display: none;
    }

    //Tables
    @media screen and (min-width: 960px) and (max-width: 1279px) { //material MD breakpoint
        table.md-table:not(.md-row-select) td.md-cell:first-child,
        table.md-table:not(.md-row-select) th.md-column:first-child {
            padding: 0 15px;
        }
        table.md-table:not(.md-row-select) td.md-cell:nth-child(n+2):nth-last-child(n+2),
        table.md-table:not(.md-row-select) th.md-column:nth-child(n+2):nth-last-child(n+2) {
            padding-right: 3%;
        }
        table.md-table td.md-cell:last-child,
        table.md-table th.md-column:last-child {
            padding-right: 15px;
        }

        table.md-table {
            td.md-cell {
                &[data-title="Username"] {
                    white-space: nowrap;
                    overflow: hidden;
                    text-overflow: ellipsis;
                    min-width: 100px;
                }
                &[data-title="Email"] {
                    white-space: nowrap;
                    overflow: hidden;
                    text-overflow: ellipsis;
                    min-width: 110px;
                }
            }
        }
    }

    @media screen and (max-width: 959px) { //up to material SM breakpoint
        table {
            &.md-table {
                display: block;

                thead {
                    display: none;
                }

                tbody {
                    &.md-body {
                        display: flex;
                        flex-wrap: wrap;

                        > tr {
                            &.md-row {
                                height: auto;
                            }
                        }
                    }
                }

                tfoot {
                    &.md-foot {
                        > tr {
                            &.md-row {
                                height: auto;
                            }
                        }
                    }
                }

                tr {
                    &.md-row {
                        display: block;
                        flex: 0 0 50%;
                        max-width: 50%;
                        padding: 25px 16px;
                        border-right: 1px solid transparent;
                        border-bottom: 2px solid $main_container_bg;
                        position: relative;

                        &:nth-child(2n+1) {
                            border-right-color: $main_container_bg;
                        }

                        &:last-child,
                        &:nth-last-child(2):nth-child(odd) {
                            border-bottom-color: transparent;
                        }
                    }
                }

                td {
                    &.md-cell {
                        display: block;
                        padding: 0;
                        border: 0;
                        margin-bottom: 16px;
                        font-size: 14px;
                        line-height: 24px;

                        &[data-title] {
                            display: flex;
                            align-items: flex-start;

                            &:before {
                                content: attr(data-title);
                                color: rgba($black, .5);
                                opacity: .5;
                                font-size: 12px;
                                font-weight: 500;
                                line-height: inherit;
                                flex: 0 0 30%;
                                min-width: 120px;
                            }
                            .label {
                                display: inline-block;
                                padding: 0;
                                font-size: inherit;
                                line-height: inherit;
                            }
                        }

                        &[data-title="ID"] {
                            &:before {
                                display: none;
                            }
                        }

                        &[data-title="Registration date"] {
                            span {
                                display: block;
                            }
                        }

                        &:first-child {
                            padding: 0;
                        }

                        &:last-child {
                            padding: 0;
                            margin-bottom: 0;

                            .md-button {
                                position: absolute;
                                top: 0;
                                right: 0;
                                z-index: 1;
                                margin: 7px;
                            }
                        }
                    }
                }
            }

            &.table-hover {
                > tbody {
                    > tr:hover {
                        background-color: transparent;
                    }
                }
            }
        }

        table.md-table:not(.md-row-select) td.md-cell:nth-child(n+2):nth-last-child(n+2),
        table.md-table:not(.md-row-select) th.md-column:nth-child(n+2):nth-last-child(n+2) {
            padding-right: 0;
        }
    }

    @media screen and (max-width: 699px) {
        table {
            &.md-table {
                tbody {
                    &.md-body {
                        display: block;
                    }
                }

                tr {
                    &.md-row {
                        max-width: 100%;
                        border-right: 0;

                        &:nth-last-child(2):nth-child(odd) {
                            border-bottom-color: $main_container_bg;
                        }
                    }
                }
            }
        }
    }

    @media screen and (max-width: $md-screen-phone) { //up to material SM breakpoint
        table {
            &.md-table {
                td {
                    &.md-cell {
                        display: block;
                        padding: 0;
                        border: 0;
                        margin-bottom: 16px;

                        &[data-title] {
                            display: flex;
                            align-items: flex-start;

                            &:before {
                                content: attr(data-title);
                                color: rgba($black, .5);
                                opacity: .5;
                                font-weight: 500;
                                flex: 0 0 30%;
                                min-width: 120px;
                            }
                            span {
                                display: inline-block;
                                padding: 0;
                                font-size: inherit;
                                line-height: inherit;
                            }
                        }

                        &[data-title="ID"] {
                            .desktop-only {
                                display: none;
                            }
                            .mobile-only {
                                display: initial;
                                font-weight: 500;
                            }
                            &:before {
                                display: inline-block;
                            }
                        }

                        &:first-child {
                            padding: 0;
                        }

                        &:last-child {
                            padding: 0;
                            margin-bottom: 0;

                            .md-button {
                                position: absolute;
                                top: 0;
                                right: 0;
                                z-index: 1;
                                margin: 7px;
                            }
                        }
                    }
                }
            }

            &.table-hover {
                > tbody {
                    > tr:hover {
                        background-color: transparent;
                    }
                }
            }
        }
        table.md-table:not(.md-row-select) td.md-cell:nth-child(n+2):nth-last-child(n+2),
        table.md-table:not(.md-row-select) th.md-column:nth-child(n+2):nth-last-child(n+2) {
            padding-right: 0;
        }
    }
}

.page__empty {
    height: calc(100vh - #{$header_height} - 20px * 2);
    &-wrapper {
        padding: 20px 0;
        max-width: 368px;
        margin: auto;
        height: 100%;
        display: flex;
        flex-direction: column;
        justify-content: center;
    }
    &-image {
        margin: 0 auto 48px;
        width: 301px;
        height: 169px;
        min-height: 169px;
        opacity: .25;
        background-size: contain;
    }
    &-text {
        font-weight: normal;
        line-height: 1.5;
        letter-spacing: 0.5px;
        text-align: center;
        color: rgba($dark-new, 0.4);
        font-size: 20px;
        margin-bottom: 0;
        &._mobile {
            display: none;
        }
    }
    &-button {
        margin-top: 40px;
    }
    &-arrow {
        width: 122px;
        height: 114px;
        background: url('../assets/images/empty-pages/empty_screen_arrow.svg') center no-repeat;
        background-size: contain;
        right: 68px;
        top: calc(#{$page-padding-top-with-breadcrumbs} + #{$breadcrumbs-height} + #{$title-height});
        position: absolute;
        opacity: .5;
    }
    @media (max-width: $screen-phone) {
        &-wrapper {
            max-width: 100%;
            padding: 20px 8px;
        }
        &-image {
            max-width: 150px;
            max-height: 84px;
            min-height: 84px;
        }
        &-text {
            font-size: 18px;
            &._desk {
                display: none;
            }
            &._mobile {
                display: block;
            }
        }
    }
    @media (max-width: $screen-tablet) {
        &-arrow {
            display: none;
        }
    }
    @media (max-height: 460px) and (min-width: $screen-phone) {
        height: calc(100vh + #{$header_height});
    }
}
